/**
  *  \file planetscentral/talk/cmdpm.h
  *  \brief Talk: PM commands
  */
#ifndef C2SERVER_PLANETSCENTRAL_TALK_CMDPM_H
#define C2SERVER_PLANETSCENTRAL_TALK_CMDPM_H

class TalkConnection;
class IntArgBlock;

void doPMNew(TalkConnection& conn, IntArgBlock& args);
void doPMStat(TalkConnection& conn, IntArgBlock& args);
void doPMMStat(TalkConnection& conn, IntArgBlock& args);
void doPMCopy(TalkConnection& conn, IntArgBlock& args);
void doPMMove(TalkConnection& conn, IntArgBlock& args);
void doPMRemove(TalkConnection& conn, IntArgBlock& args);
void doPMRender(TalkConnection& conn, IntArgBlock& args);
void doPMMRender(TalkConnection& conn, IntArgBlock& args);
void doPMFlag(TalkConnection& conn, IntArgBlock& args);

#endif
